profiledist.h File Reference
Include dependency graph for profiledist.h:

Go to the source code of this file.

## Functions

float | profile_edit_distance (const float *T1, const float *T2)
| Align the 2 probability profiles T1, T2 . More...
float * | Make_bp_profile_bppm (FLT_OR_DBL *bppm, int length)
| condense pair probability matrix into a vector containing probabilities for unpaired, upstream paired and downstream paired. More...
void | print_bppm (const float *T)
| print string representation of probability profile
void | free_profile (float *T)
| free space allocated in Make_bp_profile More...
float * | Make_bp_profile (int length)

## Function Documentation

float profile_edit_distance | ( | const float * | T1,
|  | const float * | T2
| ) |  |

Align the 2 probability profiles T1, T2
.

This is like a Needleman-Wunsch alignment, we should really use affine gap-costs ala Gotoh

float* Make_bp_profile_bppm | ( | FLT_OR_DBL * | bppm,
|  | int | length
| ) |  |

condense pair probability matrix into a vector containing probabilities for unpaired, upstream paired and downstream paired.

This resulting probability profile is used as input for profile_edit_distance

Parameters

  bppm | A pointer to the base pair probability matrix
  length | The length of the sequence

Returns
  The bp profile

void free_profile | ( | float * | T | ) |

free space allocated in Make_bp_profile

Backward compatibility only. You can just use plain free()

float* Make_bp_profile | ( | int | length | ) |

Note
  This function is NOT threadsafe

See also
  Make_bp_profile_bppm()

Deprecated:
  This function is deprecated and will be removed soon! See Make_bp_profile_bppm() for a replacement